Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class AncestorAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.AncestorAction

All Implemented Interfaces:
  AncestorListener, EventListener

public class AncestorAction
extends AbstractAction
implements AncestorListener

Actionimplementierung fuer AncestorEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`AncestorAction()`

Method Summary
`void` | `ancestorAdded(AncestorEvent event)`
`void` | `ancestorMoved(AncestorEvent event)`
`void` | `ancestorRemoved(AncestorEvent event)`
`void` | `doAncestorAdded(AncestorEvent event)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doAncestorMoved(AncestorEvent event)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doAncestorRemoved(AncestorEvent ae)` Abgeleitete Klassen müssen diese Methode ueberschreiben.

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AncestorAction

    public AncestorAction()

Method Detail

### ancestorAdded

    public void ancestorAdded(AncestorEvent event)

  Specified by:
    `ancestorAdded` in interface `AncestorListener`

### doAncestorAdded

    public void doAncestorAdded(AncestorEvent event)
                         throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `event` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### ancestorRemoved

    public void ancestorRemoved(AncestorEvent event)

  Specified by:
    `ancestorRemoved` in interface `AncestorListener`

### doAncestorRemoved

    public void doAncestorRemoved(AncestorEvent ae)
                           throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ae` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### ancestorMoved

    public void ancestorMoved(AncestorEvent event)

  Specified by:
    `ancestorMoved` in interface `AncestorListener`

### doAncestorMoved

    public void doAncestorMoved(AncestorEvent event)
                         throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `event` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD